Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0033639
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajoralways2016-08-05 14:572016-08-24 02:57
ReporterJONHMView Statuspublic 
Assigned ToNaroaIriarte 
PriorityhighResolutionfixedFixed in Version3.0PR16Q4
StatusclosedFix in branchFixed in SCM revision9bebb4948779
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned ToAugustoMauch
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0033639: Product Characteristics Subset are not filtered when "Updating Characteristics"

DescriptionHaving a product with a characteristic and a subset pointing to some of that characteristic's values, when pressing "Update Characteristics" button, it should filter only those pointed values, but it shows every value of that characteristic
Steps To Reproduce1) Create a Product Characteristic (with Variant checkbox unchecked), add some values, and create a subset and subset values pointing to some of that values (discard some value)
2) Go to [Product] window and create a new product.
3) Check the "Is Generic" checkbox.
4) Go to "Characteristics" tab and add the characteristic and its subset. Uncheck the Variants flag.
3) Press button "Update Characteristics". It shows every value including the ones we discard on the subset.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0089294)
hgbot (developer)
2016-08-23 09:41

Repository: erp/devel/pi
Changeset: 9bebb4948779a1789895902a39f75aeaf9002d97
Author: Naroa Iriarte <naroa.iriarte <at> openbravo.com>
Date: Thu Aug 18 10:58:26 2016 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/9bebb4948779a1789895902a39f75aeaf9002d97 [^]

Fixed issue 33639: Update Characteristic was not showing the correct data

If there was a product with a subset of a product characteristic, the update characteristic process was not showing the correct data. Instead of showing the products of the subset of the product characteristic, it was showing every product of the product characteristic.
To fix this, the where clause of the selector reference has been changed, making it more restrictive in the case of having a subset.

---
M modules/org.openbravo.client.application/src/org/openbravo/client/application/event/UpdateInvariantCharacteristicsHandler.java
M src-db/database/sourcedata/AD_REF_TREE.xml
M web/js/productCharacteristicsProcess.js
---
(0089300)
hudsonbot (developer)
2016-08-23 14:26

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/49d28e45a11a [^]
Maturity status: Test
(0089311)
hgbot (developer)
2016-08-23 16:23

Repository: erp/devel/pi
Changeset: 2327cf3c2782b5ab7d2d76e67e20f427e4597930
Author: Naroa Iriarte <naroa.iriarte <at> openbravo.com>
Date: Tue Aug 23 16:22:44 2016 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/2327cf3c2782b5ab7d2d76e67e20f427e4597930 [^]

Related to issue 33639: A "magic number" has been renamed.

There was a magic number and now it is a constant.

---
M modules/org.openbravo.client.application/src/org/openbravo/client/application/event/UpdateInvariantCharacteristicsHandler.java
---
(0089313)
AugustoMauch (developer)
2016-08-23 16:32

Code reviewed and verified in pi@2327cf3c2782
(0089324)
hudsonbot (developer)
2016-08-24 02:57

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9bef81691611 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2016-08-05 14:57 JONHM New Issue
2016-08-05 14:57 JONHM Assigned To => platform
2016-08-05 14:57 JONHM Modules => Core
2016-08-05 14:57 JONHM Triggers an Emergency Pack => No
2016-08-08 12:09 jfrances Issue Monitored: jfrances
2016-08-16 14:39 NaroaIriarte Assigned To platform => NaroaIriarte
2016-08-16 14:39 NaroaIriarte Status new => acknowledged
2016-08-16 14:54 NaroaIriarte Steps to Reproduce Updated View Revisions
2016-08-18 14:29 NaroaIriarte Review Assigned To => AugustoMauch
2016-08-23 09:41 hgbot Checkin
2016-08-23 09:41 hgbot Note Added: 0089294
2016-08-23 09:41 hgbot Status acknowledged => resolved
2016-08-23 09:41 hgbot Resolution open => fixed
2016-08-23 09:41 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/9bebb4948779a1789895902a39f75aeaf9002d97 [^]
2016-08-23 14:26 hudsonbot Checkin
2016-08-23 14:26 hudsonbot Note Added: 0089300
2016-08-23 15:28 AugustoMauch Steps to Reproduce Updated View Revisions
2016-08-23 16:23 hgbot Checkin
2016-08-23 16:23 hgbot Note Added: 0089311
2016-08-23 16:32 AugustoMauch Note Added: 0089313
2016-08-23 16:32 AugustoMauch Status resolved => closed
2016-08-23 16:32 AugustoMauch Fixed in Version => 3.0PR16Q4
2016-08-24 02:57 hudsonbot Checkin
2016-08-24 02:57 hudsonbot Note Added: 0089324


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker